Upstream information

CVE-2021-32766 at MITRE

Description

Nextcloud Text is an open source plaintext editing application which ships with the nextcloud server. In affected versions the Nextcloud Text application returned different error messages depending on whether a folder existed in a public link share. This is problematic in case the public link share has been created with "Upload Only" privileges. (aka "File Drop"). A link share recipient is not expected to see which folders or files exist in a "File Drop" share. Using this vulnerability an attacker is able to enumerate folders in such a share. Exploitation requires that the attacker has access to a valid affected "File Drop" link share. It is recommended that the Nextcloud Server is upgraded to 20.0.12, 21.0.4 or 22.0.1. Users who are unable to upgrade are advised to disable the Nextcloud Text application in the app settings.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1190291 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub 12
  • nextcloud >= 20.0.12-31.1
  • nextcloud-apache >= 20.0.12-31.1
Patchnames:
openSUSE-2021-1252
SUSE Package Hub 15 SP1
  • nextcloud >= 20.0.12-bp151.3.18.1
  • nextcloud-apache >= 20.0.12-bp151.3.18.1
Patchnames:
openSUSE-2021-1250
SUSE Package Hub 15 SP2
  • nextcloud >= 20.0.12-bp152.2.12.1
  • nextcloud-apache >= 20.0.12-bp152.2.12.1
Patchnames:
openSUSE-2021-1275
SUSE Package Hub 15 SP3
  • nextcloud >= 20.0.12-bp153.2.6.1
  • nextcloud-apache >= 20.0.12-bp153.2.6.1
Patchnames:
openSUSE-2021-1255
openSUSE Leap 15.2
  • nextcloud >= 20.0.12-lp152.3.12.1
  • nextcloud-apache >= 20.0.12-lp152.3.12.1
Patchnames:
openSUSE-2021-1253
openSUSE Leap 15.3
  • nextcloud >= 20.0.12-bp153.2.6.1
  • nextcloud-apache >= 20.0.12-bp153.2.6.1
Patchnames:
openSUSE-2021-1255


SUSE Timeline for this CVE

CVE page created: Wed Sep 8 10:30:11 2021
CVE page last modified: Wed Oct 26 23:17:08 2022